Name:          botan2
Version:       2.19.3
Release:       4mamba
Summary:       A C++ cryptography library released under the permissive Simplified BSD license
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/randombit/botan
Source:        https://github.com/randombit/botan.git/%{version}/botan-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libpython311-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Botan (Japanese for peony flower) is a C++ cryptography library released under the permissive Simplified BSD license.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n botan-%{version}

%build
%{__python3} configure.py \
   --prefix=%{_prefix} \
   --libdir=%{_libdir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/botan
%{_mandir}/man1/botan.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libbotan-2.so.*
%{python3_sitearch}/botan2.py
%doc license.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/botan-2
%dir %{_includedir}/botan-2/botan
%{_includedir}/botan-2/botan/*.h
%{_libdir}/libbotan-2.a
%{_libdir}/libbotan-2.so
%{_libdir}/pkgconfig/botan-2.pc
%dir %{_docdir}/botan-%{version}
%{_docdir}/botan-%{version}/*.txt
%dir %{_docdir}/botan-%{version}/handbook
%dir %{_docdir}/botan-%{version}/handbook/.doctrees
%{_docdir}/botan-%{version}/handbook/*
%{_docdir}/botan-%{version}/handbook/.doctrees/*
%{_docdir}/botan-%{version}/handbook/.buildinfo

%changelog
* Fri Jan 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.19.3-4mamba
- rebuilt with python3 == 3.11

* Fri Jul 21 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.19.3-3mamba
- rebuilt

* Thu May 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.19.3-2mamba
- legacy package

* Thu Nov 17 2022 Automatic Build System <autodist@mambasoft.it> 2.19.3-1mamba
- automatic version update by autodist

* Sat Jun 04 2022 Automatic Build System <autodist@mambasoft.it> 2.19.2-1mamba
- automatic version update by autodist

* Sun Jan 23 2022 Automatic Build System <autodist@mambasoft.it> 2.19.1-1mamba
- automatic version update by autodist

* Thu Jan 20 2022 Automatic Build System <autodist@mambasoft.it> 2.19.0-1mamba
- automatic version update by autodist

* Tue Oct 26 2021 Automatic Build System <autodist@mambasoft.it> 2.18.2-1mamba
- automatic version update by autodist

* Mon May 10 2021 Automatic Build System <autodist@mambasoft.it> 2.18.1-1mamba
- automatic version update by autodist

* Fri Apr 16 2021 Automatic Build System <autodist@mambasoft.it> 2.18.0-1mamba
- automatic version update by autodist

* Wed Mar 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.17.3-1mamba
- package created using the webbuild interface
